# $Revision: 1.22 $, $Date: 2010/11/16 14:23:58 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Payment_Process
Summary:	%{_pearname} - unified payment processor
Summary(pl.UTF-8):	%{_pearname} - zunifikowany procesor zapłat
Name:		php-pear-%{_pearname}
Version:	0.6.8
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5a6467693eace7bc89a8ce4de4e3bff3
URL:		http://pear.php.net/package/Payment_Process/
BuildRequires:	php-pear-PEAR >= 1:1.4.11
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-Validate >= 0.6.2
Requires:	php-pear-Validate_Finance_CreditCard >= 0.5.2
Suggests:	php-pear-Net_Curl
Suggests:	php-pear-XML_Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(XML/Parser.*) pear(Net/Curl.*)

%description
Payment_Process is a gateway-independent framework for processing
credit cards, and eventually e-checks and other forms of payments as
well.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Payment_Process dostarcza niezależnego środowiska do przetwarzania
opłat za pomocą kart kredytowych, czeków elektronicznych lub innych
form płatności.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/%{_pearname}/examples .

install -d docs
mv .%{php_pear_dir}/data/Payment_Process/TODO docs/%{_pearname}

# what are those really? examples or classes?
mv .%{php_pear_dir}/docs/Payment_Process/Process examples

# package.xml for Payment_Process_Litle (wtf is it doing here?)
rm .%{php_pear_dir}/data/Payment_Process/package_Litle.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Payment/*.php
%{php_pear_dir}/Payment/Process

%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Payment_Process.spec,v $
Revision 1.22  2010/11/16 14:23:58  glen
- up to 0.6.8

Revision 1.21  2010/08/21 19:08:22  glen
- updated deps with pearize.sh
- release 2

Revision 1.20  2008/05/17 19:14:41  adamg
- updated to 0.6.6

Revision 1.19  2008-01-31 12:16:50  glen
- rel 3

Revision 1.18  2008-01-31 10:55:15  glen
- integer release

Revision 1.17  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.14  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.13  2005/11/03 20:57:27  glen
- pearize

Revision 1.12  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.11  2005/08/21 18:09:25  adamg
- updated to 0.6.2

Revision 1.10  2004/12/04 14:09:10  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/11/18 19:13:09  adamg
- updated to 0.5.8

Revision 1.8  2004/07/08 20:09:18  adamg
- updated to 0.5.7

Revision 1.7  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.6  2004/04/03 14:27:44  adamg
- updated to 0.5.6

Revision 1.5  2004/03/23 22:07:32  adamg
- updated to 0.5.2

Revision 1.4  2004/03/22 22:07:40  adamg
- updated to 0.5

Revision 1.3  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.2  2004/02/02 19:19:43  qboosh
- typo, wrapping

Revision 1.1  2004/02/01 21:45:22  adamg
- initial import
